Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.grails.web.util
Enum StreamByteBuffer.ReadMode

    java.lang.Object
      java.lang.Enum<StreamByteBuffer.ReadMode>
          org.codehaus.groovy.grails.web.util.StreamByteBuffer.ReadMode

All Implemented Interfaces:
  Serializable, Comparable<StreamByteBuffer.ReadMode>

Enclosing class:
  StreamByteBuffer

    public static enum StreamByteBuffer.ReadMode

extends Enum<StreamByteBuffer.ReadMode>

Enum Constant Summary
`REMOVE_AFTER_READING`
`RETAIN_AFTER_READING`

Method Summary
`static StreamByteBuffer.ReadMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StreamByteBuffer.ReadMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REMOVE_AFTER_READING

    public static final StreamByteBuffer.ReadMode REMOVE_AFTER_READING

### RETAIN_AFTER_READING

    public static final StreamByteBuffer.ReadMode RETAIN_AFTER_READING

Method Detail

### values

    public static final StreamByteBuffer.ReadMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StreamByteBuffer.ReadMode c : StreamByteBuffer.ReadMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StreamByteBuffer.ReadMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2005-2009 The Grails project